Synnefo - Feature # 155

Status: Closed Priority: High

Author: Constantinos Venetsanopoulos Category: Cyclades API
Created: 01/19/2011 Assignee: Markos Gogoulos
Updated: 01/27/2011 Due date:

Subject: Erukowwvia: ServerHandler --> Django ORM --> DB

Description

O ServerHandler tou Django 6a p\det p€ow tou Django ORM pe pia Bdon (DB), ya va pgpvel ta ototyeia twv VMs Tou TpExouv

Related issues:
related to Synnefo - Feature # 181: Anuloupyia Image model Closed 01/26/2011

History

#1 - 01/20/2011 12:21 pm - Markos Gogoulos

- Assignee changed from Christos Psaltis to Markos Gogoulos

#2 - 01/20/2011 11:13 pm - Markos Gogoulos

31N ouvdvtnon tng TP{Tng eiXe emweel oTL Ba pag evnuepwoeTe yia pla fdon tnv orola 8a xpnotuoroolpe (mysql) remotely av Bupdpat kaAd ya va

Souh€youpe To ticket autd.

Yndpxet kdrota ripdéodog?

#3 - 01/21/2011 11:20 am - Constantinos Venetsanopoulos

To Django ORM 6a eivat €totpo evtdg Tng nuépag. MeExpL téte aoxoAnbeite av yivetal pe ta high priority tickets mou eivat idn avouytd.

#4 - 01/21/2011 01:16 pm - Vangelis Koukis

- Status changed from New to Assigned

‘Ekava commit, peTakwvwvtag ta povreda Tou ORM oto db/models.py.

Av dev elval n cwoTr B€on, oXoALldoTE.

Mpopavwg npocbEteTe 0,TIONMOTE XPeLAleoTe yia TNV uloroinon Tou API oTo Kowvd onpeio,

yla va gupnmAnpwBouv Ta JovTEAA Kal va KAAUTToUV TNV anattoUhevn AELToupyLlkotnTa.

Ma ™ BA, vopilw 6tL 6a jtav kaAutepa n unweb.me, ou doulelel and to API pog ™ Bdon

kat o BaaiAng [bkarak] rou douAelel avavewoelg katdotaong arod to Ganeti pog T Bdon, va €xete dUo dlagpopeTikd instances
™™g MySQL mpog to nmapdv, WoTe va pnv undpxouv conflicts kabwg kaveTe TIq dOKLUEG 0ag.

Ondte, PTIAXVETE TOUG TVAKEG O€ €va WLWTLKS oag instance Tng MySQL, to ormoio gpavtdlouat pubuiletal ota settings Tng epappoyng.

A6 Tpitn, BAENoupe nwg Ba EekvrioeTe va nalleTte o Koo instance.

#5 - 01/21/2011 01:49 pm - Panagiotis Louridas

Vangelis Koukis wrote:
Oréte, PTIAXVETE TOUG MIVAKeG O€ £va IOLWTIKO oag instance tng MySQL, to oroio qpavtadouat pubuifetal ota settings tng papuoyng.

Oa pubpicete To DATABASES dictionary ota Django settings. Mnopeite va emkowvwvrioete pall pag yla va oag ¢pridEoupe dUo SLapopeTika

instances.

#6 - 01/21/2011 02:42 pm - Markos Gogoulos

To onuavtiko 3w elval Ta dedopéva - €0Tw Kat testing - yla va propel va yivel n dtactalpwon Kat va unv to kdvel o kabgvag Eexwplotd yla 1o
instance Tou. ©a BoAeue va undpxel €va KevIplkd mysql ye €tolua dedopgva, o€ Mep(nTwaon mou dev oag eVoXAel va €XeTe mysgl avolyTr mpog Tov €Ew

KOOHO.

Eniong Ba xpeltaotel kat setup to django admin yia va pnopel va BdAet kdrmotog ta dedopeva.

#7 - 01/23/2011 09:36 pm - Markos Gogoulos

to db/models.py Tol onwg elvat Twpa dev exel Karola a&la. [Na va propet va xpnotuonowndet To models rpermet to db va ywvel django application

(django-admin startapp db), kat geta 6a pnopel va pnet oto settings.py cav app.

Ma v wpa propet va et oav ui/models.py yla va Propet va SOUAEWEL KATToLoG.

#8 - 01/23/2011 09:46 pm - Panagiotis Louridas

Markos Gogoulos wrote:

T0 db/models.py etot onwg swvat Twpa dev exel karota ala. ['ta va uropet va xpnoiuornotnBet to models rniperiet to db va yuvet django
application (django-admin startapp db), kat ueta 6a unopet va urnet oto settings.py oav app.

lMa v wpa unopet va unet oav ui/models.py yia va uropet va SouAgwet KaroLog.

Ag TO KAvoupE app HE To 6vopa aquarium (agou £Tot ovopdloupe tn Bdon), dedopevou OTL elvat TILo YEVIKS Ao TO Ui.

#9 - 01/23/2011 10:36 pm - Markos Gogoulos

Eniong Ba mpdtelva T petovouacia Tou

class User(models.Model):

o€ KATL Tou TUTOU

class SynnefoUser(models.Model):
user = models.ForeignKey(User)

ytatt User eival to default name twv django users (pe Baolkeg mAnpopopleg user, password, email) kat av BEAoupe va anobnkelooupe ETMAEOV

mAnpopopleq exkel (dvopa, logo, TpoTiurioelg KTA) Ba €xoupe conflict

deite kau ato "Storing additional information about users" oto documentation tou django (http://docs.djangoproject.com/en/dev/topics/auth/)
#10 - 01/24/2011 06:22 am - Panagiotis Louridas

Markos Gogoulos wrote:

Eniong Ba npdtetva tn puetovouaoia tou

class User(models.Model):

o€ KATL TOU TUMOU

class SynnefoUser(models.Model):
user = models.ForeignKey(User)

yiatt User eivat to default name twv django users (ue faotke ¢ MAnpogopieg user, password, email) kat av 8€Aouue va arnobnksuoouue

emmnAgov nAnpogoplieq kel (6voua, logo, mpotiunostg KTA) 8a xouue conflict

Oceite kat oto "Storing additional information about users" oto documentation tou django (http.//docs.djangoproject.com/en/dev/topics/auth/)

OK, SynnefoUser 1} Skywalker :-)

#11 - 01/24/2011 11:20 am - Markos Gogoulos

To api/handlers.py €xel TponorownBei waote avti MOCK OBJECTS va eruotpepel THEG. MNa v eloaywyr Twv Tipwv (User, flavor, Virtualmachines)

pTLd)voupe €va admin.py oto aquarium application kat evepyorotodpe To admin aro Ta setting Tou project.

210 models.py yta To VirtualMachine, evw €xouv AngBel ta state, flavor, name, dev €xel yivel to (dlo yia ta nedia:

ip, id, imageld, metadata, hostld

Ta orola undpxouv ota mock objects pe ta orola €xeL oXedLAOTEL TO Ui.

TL TIPSRAEYN UTIAPXEL OXETIKA pE auTd Ta nedia?

#12 - 01/24/2011 11:41 am - Panagiotis Louridas

Markos Gogoulos wrote:

To api/handlers.py €xet tponortoinBei wote avti MOCK OBJECTS va emotpepet Tiueg. Na tnv etoaywyn twv tipwy (User, flavor,

Virtualmachines) g tidxvouue €va admin.py oto aquarium application kat evepyoriotolue o admin aro ta setting Tou project.

210 models.py yia to VirtualMachine, evw €xouv AngBei Ta state, flavor, name, dev €xet yivet To idto yia ta nedia:

ip, id, imageld, metadata, hostld

Ta oroia uniapyouv ota mock objects ue ta onoia £xet oxedlaotel 1O Ui.

Tt npdBAewn undpxel OXETIKA Ue autd ta redia ?

BdAte 6,TL 0ag xpetdletal kat evnuepwoTe bkarak.
#13 - 01/24/2011 06:34 pm - Vassilios Karakoidas

BdAte 6,1t oag xpetdletat kat eviuepwote bkarak.

Ta povteha elval mA€ov MApwg integrated pe To umtéAoLro webapp.

#14 - 01/25/2011 05:53 pm - Vangelis Koukis

Xpeldlovtal aAhayeg oTa JovTEAA WOTE va urooTnpe(leL TNV anattolpevn Asttoupylkdtnta oto API.

Oa npooTtebolv YovteAa yia metadata Twv VMs kat yia Images.

#15 - 01/27/2011 11:44 am - Vangelis Koukis

- Status changed from Assigned to Closed

H uloroinon tou RS API pihdel pe Django ORM o1t Bdon. KAelvw autd to TiKeT yia va avol&w avegdptnta TIKETG yla Kdbe peépog tng uhoroinong
Tou API.
